IF EXISTS(SELECT * FROM sysobjects WHERE xtype = 'P' AND name = 'ComplianceComputerForMatchingGetAll')
	DROP PROCEDURE ComplianceComputerForMatchingGetAll
GO
CREATE PROCEDURE dbo.ComplianceComputerForMatchingGetAll
AS
	SELECT	cc.ComplianceComputerID,
			REPLACE(cct.ResourceName, 'ComplianceComputerType.', '') AS ComputerType,
			cc.Manufacturer,
			cc.ModelNo,
			cc.FirmwareSerialNumber,
			cc.HostType,
			cc.MACAddress,
			cc.MachineID,
			cc.UUID,
			cc.SerialNo,
			CAST(CASE WHEN tisr.AlertTypeID IS NOT NULL THEN 1 ELSE cc.UntrustedSerialNo END AS BIT) AS UntrustedSerialNo,
			cc.OperatingSystem,
			cc.HostID,
			cc.ComputerName,
			cc.ComplianceDomainID,
			cc.HostIdentifyingNumber,
			cc.ILMTAgentID,
			vm.VMName,
			REPLACE(vmtype.ResourceName, 'VMType.', '') AS VMType,
			vm.PartitionNumber,
			vm.PartitionID,
			CAST(0 AS BIT) AS Incomplete
	FROM	dbo.ComplianceComputerNotDummy AS cc
	LEFT OUTER JOIN dbo.ComplianceComputerType AS cct
		ON cc.ComplianceComputerTypeID = cct.ComplianceComputerTypeID
	LEFT OUTER JOIN dbo.VirtualMachine AS vm
		ON cc.ComplianceComputerID = vm.ComplianceComputerID
	LEFT OUTER JOIN dbo.VMType as vmtype
		ON vm.VMTypeID = vmtype.VMTypeID
	CROSS APPLY dbo.TableInvalidSerialReason(
				NULL,
				cc.SerialNo,
				cc.UntrustedSerialNo,
				NULL
			) tisr
GO
